Reference
Sessions
List Sessions
Query Parameters
includeRevoked?boolean
Default
falselimit?integer
Default
50Range
1 <= value <= 200cursor?|
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/sessions"{
"items": [
{
"browserFamily": "string",
"browserVersion": "string",
"cliVersion": "string",
"clientType": "web",
"createdAt": "2019-08-24T14:15:22Z",
"deviceId": "string",
"id": "string",
"ipAddress": "string",
"isActive": true,
"lastActiveAt": "2019-08-24T14:15:22Z",
"osFamily": "string",
"osVersion": "string",
"revokedAt": "2019-08-24T14:15:22Z",
"terminal": "string",
"userAgent": "string"
}
],
"nextCursor": "string"
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Revoke All Sessions
Query Parameters
exclude_current?boolean
Default
trueHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X DELETE "https://loading/api/v1/sessions"{
"revokedCount": 0
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Revoke Session
Path Parameters
session_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/sessions/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}